package ru.neroduckale.register;


import net.minecraft.registry.Registries;
import net.minecraft.registry.Registry;
import net.minecraft.resource.featuretoggle.FeatureFlags;
import net.minecraft.screen.ScreenHandlerType;
import net.minecraft.util.Identifier;
import ru.neroduckale.NeroduckaleVapes;
import ru.neroduckale.gui.prikolscreenhandler;



public class RegisterGUI {
    public static ScreenHandlerType<prikolscreenhandler> PRIKOL_SCREEN_HANDLER = new ScreenHandlerType<>(prikolscreenhandler::new, FeatureFlags.VANILLA_FEATURES);
    
    public static void registerGUIs() {
        NeroduckaleVapes.LOGGER.info("Registering GUI for mod %s".formatted(NeroduckaleVapes.MOD_ID));
        PRIKOL_SCREEN_HANDLER = Registry.register(Registries.SCREEN_HANDLER, new Identifier(NeroduckaleVapes.MOD_ID), PRIKOL_SCREEN_HANDLER);
    }
}
