package ru.neroduckale.register;

import net.fabricmc.fabric.api.itemgroup.v1.FabricItemGroup;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.ItemStack;
import net.minecraft.registry.Registries;
import net.minecraft.registry.Registry;
import net.minecraft.text.Text;
import net.minecraft.util.Identifier;
import ru.neroduckale.NeroduckaleVapes;


public class RegisterItemGroup {
    public static ItemGroup NeroVapeGroup = Registry.register(Registries.ITEM_GROUP, new Identifier(NeroduckaleVapes.MOD_ID, "nerovapesgroup"), 
            FabricItemGroup.builder()
                    .displayName(Text.of("VapeMod"))
                    .icon(() -> new ItemStack(RegisterItems.pasito2))
                    .entries((displayContext, entries) -> {
                        entries.add(RegisterItems.pasito2);
                        entries.add(RegisterItems.ExpampleFluid);
                    })
                    .build());
    
    public static void registerItemGroups() {
        NeroduckaleVapes.LOGGER.info("Registering Item Groups for %s".formatted(NeroduckaleVapes.MOD_ID));
    }
}
