package ru.neroduckale.register;

import net.fabricmc.fabric.api.item.v1.FabricItemSettings;
import net.minecraft.item.Item;
import net.minecraft.registry.Registries;
import net.minecraft.registry.Registry;
import net.minecraft.util.Identifier;
import ru.neroduckale.NeroduckaleVapes;
import ru.neroduckale.fluids.ExampleFluid;
import ru.neroduckale.util.power;
import ru.neroduckale.vapes.Vape;

import static ru.neroduckale.NeroduckaleVapes.MOD_ID;

public class RegisterItems {
    public static final Item pasito2 = registerItem("pasito2", new Vape(new FabricItemSettings(), 60, 1, power.HIGHPOWER));
    public static final Item ExpampleFluid = registerItem("fluid", new ExampleFluid(new FabricItemSettings(), "SKALA - Кактус со льдом"));
    /**
     * 
     * НЕ ЗАБУДЬ ДОБАВИТЬ В ItemGroup.{@link RegisterItemGroup}
     */
    private static Item registerItem(String name, Item item) {
        return Registry.register(Registries.ITEM, new Identifier(MOD_ID, name), item);
    }

    public static void registerModItems() {
        NeroduckaleVapes.LOGGER.info("Registering Mod Items for " + MOD_ID);
        
    }
    




    
}
