package ru.neroduckale.register;

import net.fabricmc.fabric.api.particle.v1.FabricParticleTypes;
import net.minecraft.particle.DefaultParticleType;
import net.minecraft.registry.Registries;
import net.minecraft.registry.Registry;
import net.minecraft.util.Identifier;
import ru.neroduckale.NeroduckaleVapes;

import static ru.neroduckale.NeroduckaleVapes.MOD_ID;

public class RegisterParticles {

    public static final DefaultParticleType MY_CLOUD = FabricParticleTypes.simple();
    public static final DefaultParticleType MY_CLOUD1 = FabricParticleTypes.simple();
    public static final DefaultParticleType RING_PARTICLE = FabricParticleTypes.simple();
    
    public static void registerParticles() {
        Registry.register(Registries.PARTICLE_TYPE, new Identifier(MOD_ID, "cloud"), MY_CLOUD);
        Registry.register(Registries.PARTICLE_TYPE, new Identifier(MOD_ID, "cloud1"), MY_CLOUD1);
        Registry.register(Registries.PARTICLE_TYPE, new Identifier(MOD_ID, "ringparticle"), RING_PARTICLE);
        NeroduckaleVapes.LOGGER.info("Registering Particles for nerovapes");
    }
}
