package ru.neroduckale;

import net.fabricmc.api.ClientModInitializer;
import net.fabricmc.fabric.api.client.event.lifecycle.v1.ClientTickEvents;
import net.fabricmc.fabric.api.client.networking.v1.ClientPlayNetworking;
import net.fabricmc.fabric.api.client.particle.v1.ParticleFactoryRegistry;
import net.fabricmc.fabric.api.client.rendering.v1.HudRenderCallback;
import net.fabricmc.fabric.api.networking.v1.PacketByteBufs;
import net.minecraft.client.gui.screen.ingame.HandledScreens;
import net.minecraft.network.PacketByteBuf;
import net.minecraft.util.Hand;
import net.minecraft.util.Identifier;
import ru.neroduckale.gui.HudRemainingTime;
import ru.neroduckale.particles.Particles;
import ru.neroduckale.particles.Particles2;
import ru.neroduckale.particles.RingParticle;
import ru.neroduckale.register.RegisterGUI;
import ru.neroduckale.gui.prikolscreen;
import ru.neroduckale.register.RegisterKeybinds;
import ru.neroduckale.register.RegisterParticles;
import ru.neroduckale.vapes.Vape;

public class neroduckalevapesclient implements ClientModInitializer {
    @Override
    public void onInitializeClient() {
        HandledScreens.register(RegisterGUI.PRIKOL_SCREEN_HANDLER, prikolscreen::new);
        ParticleFactoryRegistry.getInstance().register(RegisterParticles.MY_CLOUD, Particles.Factory::new);
        ParticleFactoryRegistry.getInstance().register(RegisterParticles.MY_CLOUD1, Particles2.Factory::new);
        ParticleFactoryRegistry.getInstance().register(RegisterParticles.RING_PARTICLE, RingParticle.Factory::new);
        RegisterKeybinds.registerKeybinds();

        ClientTickEvents.END_CLIENT_TICK.register(client -> {
            while (RegisterKeybinds.MY_KEY_FIRST.wasPressed()) {
                if (client.player.getStackInHand(Hand.MAIN_HAND).getItem() instanceof Vape) {
                    PacketByteBuf buf = PacketByteBufs.create();
                    ClientPlayNetworking.send(new Identifier("nerovapes", "ring"), buf);
                }

            }
        });
        HudRenderCallback.EVENT.register(new HudRemainingTime());
            
    }
}
